#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CategoryRules.h"
#include "HoudiniToolsPackageAsset.generated.h"

UCLASS(Blueprintable)
class HOUDINIENGINERUNTIME_API UHoudiniToolsPackageAsset : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FString, FCategoryRules> Categories;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDirectoryPath ExternalPackageDir;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bReimportPackageDescription;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bExportPackageDescription;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bReimportToolsDescription;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bExportToolsDescription;

public:
	UHoudiniToolsPackageAsset();
};

FORCEINLINE uint32 GetTypeHash(const UHoudiniToolsPackageAsset) { return 0; }
